import {select, range, scaleOrdinal} from 'd3';

const scaleColour = scaleOrdinal();
scaleColour.domain(['apple', 'lemon'])
	         .range(['red', 'yellow']);

export const fruitBowl = (parent, {fruits, height}) => {
  console.log(fruits);
  const selection =  parent.selectAll('circle').data(fruits, d => d.id);
  selection.enter()
    			 .append('circle')
             .attr('fill', d => scaleColour(d.type))
                .attr('cx', (d, i) => i * 120 + 60)

             .attr('cy', height / 2)
             .attr('r', 0)
  					//;
  
           .merge(selection) //Operates on new AND updated elements			 
    					.transition().duration(1000)
  					  .attr('fill',d => scaleColour(d.type))
  						.attr('r', 50)
              .attr('cx', (d, i) => i * 120 + 60)

  
  						// Include behaviour here for any data that changes
  					; 
  
  //Update selection is the selection itself, because this is defined
  // as the join between the dom elements and the data.
	//selection.attr('fill',  d => scaleColour(d.type)); 
  
  selection.exit()
  				 .transition().duration(1000)
  					.attr('r', 0)
           .remove()
  ;
 };